Package org.spongepowered.asm.util

## Class ConstraintParser

- java.lang.Object
- - org.spongepowered.asm.util.ConstraintParser

    public final class ConstraintParser
    extends java.lang.Object

Parser for constraints

### Nested Class Summary

Nested Classes
`static class` `ConstraintParser.Constraint` A constraint.

### Method Summary

All Methods Static Methods Concrete Methods
`static ConstraintParser.Constraint` `parse​(java.lang.String expr)` Parse the supplied expression as a constraint and returns a new Constraint.
`static ConstraintParser.Constraint` `parse​(org.objectweb.asm.tree.AnnotationNode annotation)` Parse a constraint expression on the supplied annotation as a constraint and returns a new Constraint.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### parse

    public static ConstraintParser.Constraint parse​(java.lang.String expr)

Parse the supplied expression as a constraint and returns a new Constraint. Returns `ConstraintParser.Constraint.NONE` if the constraint could not be parsed or is empty.

Parameters:
  `expr` - constraint expression to parse
Returns:
  parsed constraint

#### parse

    public static ConstraintParser.Constraint parse​(org.objectweb.asm.tree.AnnotationNode annotation)

Parse a constraint expression on the supplied annotation as a constraint and returns a new Constraint. Returns `ConstraintParser.Constraint.NONE` if the constraint could not be parsed or is empty.

Parameters:
  `annotation` - annotation containing the constraint expression to parse
Returns:
  parsed constraint